fop 1.1

## org.apache.fop.fo.expr
Class ProportionalColumnWidthFunction

    java.lang.Object
      org.apache.fop.fo.expr.FunctionBase
          org.apache.fop.fo.expr.ProportionalColumnWidthFunction

All Implemented Interfaces:
  Function

    public class ProportionalColumnWidthFunction

extends FunctionBase

Class modelling the proportional-column-width function. See Sec. 5.10.4 of the XSL-FO standard.

Constructor Summary
`ProportionalColumnWidthFunction()`

Method Summary
`Property` `eval(Property[] args, PropertyInfo pInfo)` Evaluate the function
`PercentBase` `getPercentBase()`
`int` `getRequiredArgsCount()`

Methods inherited from class org.apache.fop.fo.expr.FunctionBase
`getOptionalArgDefault, getOptionalArgsCount, getPropertyName, hasVariableArgs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProportionalColumnWidthFunction

    public ProportionalColumnWidthFunction()

Method Detail

### getRequiredArgsCount

    public int getRequiredArgsCount()

  Returns:
    the number of required (non-optional) arguments that must be specified in the argument list

### getPercentBase

    public PercentBase getPercentBase()

  Description copied from class: `FunctionBase`

  Specified by:
    `getPercentBase` in interface `Function`
  Overrides:
    `getPercentBase` in class `FunctionBase`
  Returns:
    the basis for percentage calculations

### eval

    public Property eval(Property[] args,
                         PropertyInfo pInfo)
                  throws PropertyException

  Evaluate the function

  Parameters:
    `args` - an array of Properties that should be evaluated
    `pInfo` - property information instance that applies to property being evaluated
  Returns:
    the Property satisfying the function
  Throws:
    `PropertyException` - for problems when evaluating the function

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.